Retrieve Currency - m3ter Documentation
Retrieve Currency
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/picklists/currency/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/picklists/currency/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/picklists/currency/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Formats
200
{
"id": "<string>",
"version": 123,
"code": "<string>",
"name": "<string>",
"archived": true,
"maxDecimalPlaces": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
4XX
{
"message": "<string>"
}
5XX
{
"message": "<string>"
}
Authorizations
- Authorization (string)
- required
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
- The
authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
- orgId (string)
- required
- The unique identifier (UUID) of your Organization.
- id (string)
- required
- The unique identifier (UUID) of the Currency to retrieve.
Response Fields
- id (string) - The UUID of the entity.
- version (integer) - The version number.
- code (string) - The short code of the data entity.
- name (string) - The name of the data entity.
- archived (boolean) - TRUE / FALSE flag indicating whether the data entity is archived.
- maxDecimalPlaces (integer) - Maximum number of decimal places for this Currency.
- dtCreated (string) - Date and time when the Currency was created.
- dtLastModified (string) - Date and time when the Currency was last modified.
- createdBy (string) - The unique identifier of the user who created this Currency.
- lastModifiedBy (string) - The unique identifier of the user who last modified this Currency.